API reference
List available shipping rates
POST
/v1/shipping/rates/availableAuthorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/shipping/rates/available" \ -H "Content-Type: application/json" \ -d '{ "storeId": "string", "orderAmount": 0.1, "postalCode": null, "totalWeight": 0.1, "sellerId": null, "shippingProfileId": null }'[ { "shippingMethodId": "string", "name": "string", "displayName": "string", "type": "regular", "price": 0.1, "currency": "string", "sortOrder": 0, "rateId": null, "description": null, "deliveryLocationId": null, "deliveryLocationName": null, "deliveryLeadTimeInMinutes": null, "deliveryMinHours": null, "deliveryMaxHours": null, "deliveryInstructions": null, "deliveryPostalCodes": [ "string" ], "deliveryZoneName": null, "deliveryZonePostalCodes": [ "string" ], "deliveryZoneRadiusKm": null, "estimatedDeliveryDays": null, "estimatedDeliveryHours": null, "estimatedDeliveryFromDate": null, "estimatedDeliveryToDate": null, "isLiveQuote": true, "serviceCode": null, "serviceName": null, "metadata": {} }]